From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/debug/
Date: Sun, 26 May 2024 07:50:11 +0000 (UTC) [thread overview]
Message-ID: <1716709752.4e8d8098aea8201008872ae17e5a92b577be5b58.graaff@gentoo> (raw)
commit: 4e8d8098aea8201008872ae17e5a92b577be5b58
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun May 26 07:49:12 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun May 26 07:49:12 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e8d8098
dev-ruby/debug: avoid git in gemspec generation
Closes: https://bugs.gentoo.org/932765
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/debug/debug-1.9.1.ebuild | 5 ++++-
dev-ruby/debug/debug-1.9.2.ebuild | 5 ++++-
2 files changed, 8 insertions(+), 2 deletions(-)
diff --git a/dev-ruby/debug/debug-1.9.1.ebuild b/dev-ruby/debug/debug-1.9.1.ebuild
index 2fab65c0e6c0..2e060d63076c 100644
--- a/dev-ruby/debug/debug-1.9.1.ebuild
+++ b/dev-ruby/debug/debug-1.9.1.ebuild
@@ -33,6 +33,9 @@ ruby_add_rdepend "
"
all_ruby_prepare() {
- sed -i -e "s:require_relative ':require './:" -e 's/__dir__/"."/' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -e "s:require_relative ':require './:" \
+ -e 's/__dir__/"."/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
sed -i -e '/bundler/I s:^:#:' Rakefile || die
}
diff --git a/dev-ruby/debug/debug-1.9.2.ebuild b/dev-ruby/debug/debug-1.9.2.ebuild
index 684a22aacf92..a78a3d956544 100644
--- a/dev-ruby/debug/debug-1.9.2.ebuild
+++ b/dev-ruby/debug/debug-1.9.2.ebuild
@@ -33,6 +33,9 @@ ruby_add_rdepend "
"
all_ruby_prepare() {
- sed -i -e "s:require_relative ':require './:" -e 's/__dir__/"."/' ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -e "s:require_relative ':require './:" \
+ -e 's/__dir__/"."/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
sed -i -e '/bundler/I s:^:#:' Rakefile || die
}
next reply other threads:[~2024-05-26 7:50 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-26 7:50 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-20 6:07 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/debug/ Hans de Graaff
2024-12-20 6:07 Hans de Graaff
2024-11-04 19:35 Fabian Groffen
2024-10-11 9:56 Arthur Zamarin
2024-10-09 6:59 Arthur Zamarin
2024-10-09 5:46 Sam James
2024-10-06 13:31 Arthur Zamarin
2024-10-06 13:30 Arthur Zamarin
2024-05-18 8:33 Sam James
2024-05-18 7:59 Sam James
2024-04-30 2:30 Ionen Wolkens
2024-04-30 2:30 Ionen Wolkens
2024-04-30 2:30 Ionen Wolkens
2024-04-30 2:30 Ionen Wolkens
2024-04-30 2:30 Ionen Wolkens
2024-04-30 2:30 Ionen Wolkens
2024-04-05 9:42 Hans de Graaff
2024-03-29 8:27 Hans de Graaff
2023-12-26 15:53 Hans de Graaff
2023-12-25 9:02 Hans de Graaff
2023-10-09 5:57 Hans de Graaff
2023-03-29 6:04 Hans de Graaff
2023-03-04 13:02 Hans de Graaff
2023-03-04 13:02 Hans de Graaff
2023-03-04 10:25 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1716709752.4e8d8098aea8201008872ae17e5a92b577be5b58.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox